glibmm: Gio::SocketSource Class Reference

glibmm 2.64.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | Protected Member Functions | List of all members
Gio::SocketSource Class Reference
Portable Network I/O Functionality

An event source that can monitor a Gio::Socket. More...

`#include <giomm/socketsource.h>`

Inheritance diagram for Gio::SocketSource:
[legend]

## Public Types
using | CppObjectType = Gio::SocketSource
Public Types inherited from Glib::IOSource
using | CppObjectType = Glib::IOSource
Public Types inherited from Glib::Source
using | CppObjectType = Glib::Source
using | BaseObjectType = GSource

## Static Public Member Functions
static Glib::RefPtr< SocketSource > | create (const Glib::RefPtr< Socket >& socket, Glib::IOCondition condition, const Glib::RefPtr< Cancellable >& cancellable=Glib::RefPtr< Cancellable >())
Static Public Member Functions inherited from Glib::IOSource
static Glib::RefPtr< IOSource > | create (PollFD::fd_t fd, IOCondition condition)
static Glib::RefPtr< IOSource > | create (const Glib::RefPtr< IOChannel >& channel, IOCondition condition)
Static Public Member Functions inherited from Glib::Source
static Glib::RefPtr< Source > | create ()

## Protected Member Functions
| SocketSource (const Glib::RefPtr< Socket >& socket, Glib::IOCondition condition, const Glib::RefPtr< Cancellable >& cancellable)
| ~SocketSource () noexcept override
Protected Member Functions inherited from Glib::IOSource
| IOSource (PollFD::fd_t fd, IOCondition condition)
| IOSource (const Glib::RefPtr< IOChannel >& channel, IOCondition condition)
| IOSource (GSource* cast_item, GSourceFunc callback_func)
| Wrap an existing GSource object and install the given callback function. More...
| ~IOSource () noexcept override
bool | prepare (int& timeout) override
bool | check () override
bool | dispatch (sigc::slot_base* slot) override
Protected Member Functions inherited from Glib::Source
| Source ()
| Construct an object that uses the virtual functions prepare(), check() and dispatch(). More...
| Source (GSource* cast_item, GSourceFunc callback_func)
| Wrap an existing GSource object and install the given callback function. More...
virtual | ~Source () noexcept
sigc::connection | connect_generic (const sigc::slot_base& slot)
void | add_poll (PollFD& poll_fd)
| Adds a file descriptor to the set of file descriptors polled for this source. More...
void | remove_poll (PollFD& poll_fd)
| Removes a file descriptor from the set of file descriptors polled for this source. More...
void | get_current_time (Glib::TimeVal& current_time)
| Gets the "current time" to be used when checking this source. More...
gint64 | get_time () const
| Gets the time to be used when checking this source. More...

## Additional Inherited Members
Public Member Functions inherited from Glib::IOSource
sigc::connection | connect (const sigc::slot< bool, IOCondition >& slot)
Public Member Functions inherited from Glib::Source
| Source (const Source&)=delete
Source& | operator= (const Source&)=delete
unsigned int | attach (const Glib::RefPtr< MainContext >& context)
| Adds a Source to a context so that it will be executed within that context. More...
unsigned int | attach ()
| Adds a Source to a context so that it will be executed within that context. More...
void | destroy ()
| Removes a source from its MainContext, if any, and marks it as destroyed. More...
void | set_priority (int priority)
| Sets the priority of a source. More...
int | get_priority () const
| Gets the priority of a source. More...
void | set_can_recurse (bool can_recurse)
| Sets whether a source can be called recursively. More...
bool | get_can_recurse () const
| Checks whether a source is allowed to be called recursively. More...
unsigned int | get_id () const
| Returns the numeric ID for a particular source. More...
Glib::RefPtr< MainContext > | get_context ()
| Gets the MainContext with which the source is associated. More...
GSource* | gobj ()
const GSource* | gobj () const
GSource* | gobj_copy () const
void | reference () const
void | unreference () const

## Detailed Description

An event source that can monitor a Gio::Socket.

See also
  Gio::Socket::create_source().

Since glibmm 2.42:

## Member Typedef Documentation

using Gio::SocketSource::CppObjectType = Gio::SocketSource

## Constructor & Destructor Documentation

Gio::SocketSource::SocketSource | ( | const Glib::RefPtr< Socket >& | socket,
|  | Glib::IOCondition | condition,
|  | const Glib::RefPtr< Cancellable >& | cancellable
| ) |  |
| protected

Gio::SocketSource::~SocketSource | ( |  | ) |
| overrideprotectednoexcept

## Member Function Documentation

static Glib::RefPtr<SocketSource> Gio::SocketSource::create | ( | const Glib::RefPtr< Socket >& | socket,
|  | Glib::IOCondition | condition,
|  | const Glib::RefPtr< Cancellable >& | cancellable = `Glib::RefPtr< Cancellable >()`
| ) |  |
| static